
# Class: TranslateItemsCommand

A command that moves predefined items.

For details, you can refer to the [IDesignEditorDefinitionSetBackground](../interfaces/idesigneditordefinitionsetbackground.md).
```
{
  "type": "design-editor",
  "name": "editor",
  "params": {
    "initial": { ... },
    "translate": {
         "translateParams": {
          "items": ["Name"], // item name
          "translateX": "10",
          "translateY": "10"
        }
      }
  }
}
```

## Hierarchy

* [DesignEditorWidgetCommand](designeditorwidgetcommand.md)

  ↳ **TranslateItemsCommand**

## Index

### Methods

* [execute](translateitemscommand.md#execute)

## Methods

###  execute

▸ **execute**(`params`: [IDesignEditorDefinitionTranslateItems](../interfaces/idesigneditordefinitiontranslateitems.md)): *Promise‹void›*

*Overrides [DesignEditorWidgetCommand](designeditorwidgetcommand.md).[execute](designeditorwidgetcommand.md#abstract-execute)*

Executes this command.

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`params` | [IDesignEditorDefinitionTranslateItems](../interfaces/idesigneditordefinitiontranslateitems.md) | Parameters for the command.  |

**Returns:** *Promise‹void›*
